/*文件名：checkdata.js
 *日期：2005-05-26
 *
 */

//检查串i是不是非负整数
function isNonNegativeInt(i) {
	return (i.search("^[0-9]+$")==0);
}

//检查串ip是不是IP地址，如果是返回true，否则返回false
function isIP(ip) {
	if(ip=="") {
		alert("不能空");
		return false;
	}
	
	var nums = ip.split('.');
	if(nums.length !=4) {
		alert("不对");
		return false;
	}
	for(i=0; i<4; i++) {
		if(!isNonNegativeInt(nums[i])) {
			alert("非数字字符");
			return false;
		}

		var n = parseInt(nums[i]);
		if((i==0||i==3) && (n==0||n==255)){
			alert("非法IP");
			return false;
		}
		if(n<0 || n>255) {
			alert("非法数字");
			return false;
		}
	}
	
	//alert("验证通过");
	return true;
}

//检查串datestr是不是日期，如果是返回true，否则返回false。seperator是分隔符
function isDate(datestr, seperator) {
	if(seperator == "" || seperator ==null)
		seperator = "-";
	
	var nums = datestr.split(seperator);
	if(nums.length != 3)
		return false;
	
	if(!isNonNegativeInt(nums[0]) ||
		!isNonNegativeInt(nums[1]) ||
		!isNonNegativeInt(nums[2])) {
		alert("非数字字符");
		return false;
	}

	var year = parseInt(nums[0]);
	var month = parseInt(nums[1]);
	var day = parseInt(nums[2]);
	
	//年份范围1940-2100，用户可按需要改变
	if(year>2100 || year<1940) {
		alert("年份不对");
		return false;
	}
	
	if(month>12 || month<1) {
		alert("月份不对");
		return false;
	}
	
	var d = new Date(year, month, 0);
	if(day>d.getDate() || day<0) {
		alert("日期不对");
		return false;
	}
	
	return true;
}

//检查串datestr是不是日期，如果是返回true，否则返回false。seperator是分隔符
function isTime(timestr, seperator) {
	if(seperator == "" || seperator ==null)
		seperator = ":";
	
	var nums = timestr.split(seperator);
	if(nums.length != 3)
		return false;
	
	if(!isNonNegativeInt(nums[0]) ||
		!isNonNegativeInt(nums[1]) ||
		!isNonNegativeInt(nums[2])) {
		alert("非数字字符");
		return false;
	}

	var hour = parseInt(nums[0]);
	var miniute = parseInt(nums[1]);
	var second = parseInt(nums[2]);
	
	if(hour>23 || hour<0) {
		alert("小时不对");
		return false;
	}
	
	if(miniute>59 || miniute<0) {
		alert("分钟不对");
		return false;
	}
	
	if(second>59 || second<0) {
		alert("秒不对");
		return false;
	}
	
	return true;
}

function isChinese(str) {
	return (str.search("[^\u4E00-\u9FA5]+$")==0);
}